Authorize
curl --request POST \
--url https://api.quicko.com/oauth/authorizeimport requests
url = "https://api.quicko.com/oauth/authorize"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.quicko.com/oauth/authorize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timestamp": 1714406041157,
"transaction_id": "05109178-9015-4c80-b00e-f7afcfadc50c",
"data": {
"refresh_token": "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpbnRlbnQiOiJSRUZSRVNIX1RPS0VOIiwiYXBpX2tleSI6ImtleV90ZXN0X3RFc1RERU1PdE9rM25CVHpTNFI1b09VaHBjb3UzWmdHIiwiZW1haWwiOiJuYWNoaWtldGEudmFkZXJhQHF1aWNrby5jb20iLCJpYXQiOjE3MTQ0MDYwNDQsImV4cCI6MTc0NTk2MzY0NCwiYXVkIjoiQVBJIiwiaXNzIjoib2F1dGgucXVpY2tvLmNvbSIsInN1YiI6IjBENkIwNzZBMkQwQjE5MkNFMDYzMDIwMDE1QUNDNDdGIn0.hNMeC1rzCrc7G-oD2bc3Bgl6jCxBIiSQldSdWfuIF5VlvawgqnuN4rHQX2VmdLHCAgsyTbM3Qg9FTv7mjzR7qQ",
"access_token": "eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJpbnRlbnQiOiJBQ0NFU1NfVE9LRU4iLCJhcGlfa2V5Ijoia2V5X3Rlc3RfdEVzVERFTU90T2szbkJUelM0UjVvT1VocGNvdTNaZ0ciLCJlbWFpbCI6Im5hY2hpa2V0YS52YWRlcmFAcXVpY2tvLmNvbSIsImlhdCI6MTcxNDQwNjA0NCwiZXhwIjoxNzE0NDkyNDQ0LCJhdWQiOiJBUEkiLCJpc3MiOiJvYXV0aC5xdWlja28uY29tIiwic3ViIjoiMEQ2QjA3NkEyRDBCMTkyQ0UwNjMwMjAwMTVBQ0M0N0YifQ.GFWd2eJsCKbGCH2uphAAfYc9Dh9EAcS3qceDdO4-eyyy1KWqJnHaJAT5Nr13o4u2JJ4lvP9dx5hwUzwDKS2Dig"
},
"code": 200
}Authorize
API to exchange request token for resource owner’s access token
POST
/
oauth
/
authorize
Authorize
Query Parameters
Resource Owner's request_token or Resource Owner's refresh_token
⌘I